%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion 0.2
%define release	1mdk

%define realname oggvorbis
%define modname oggvorbis
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A23_%{modname}.ini

Summary:	PHP OGG wrapper for OGG/Vorbis files
Name:		php-%{modname}
Version:	%{phpversion}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://pecl.php.net/package/oggvorbis
License:	PHP License
Source0:	%{modname}-%{rversion}.tar.bz2
Source1:	%{modname}.ini.bz2
#Requires:	libphp_common%{libversion}
Requires:	php%{libversion}
BuildRequires:	oggvorbis-devel
BuildRequires:	libogg-devel
BuildRequires:	php%{libversion}-devel
BuildRoot:	%{_tmppath}/%{name}-root
Provides: 	ADVXpackage

%description
fopen wrapper for OGG/Vorbis files. Decompress OGG data to PCM
audio and vice-versa.   

%prep

%setup -q -n %{modname}-%{rversion}

%build

#phpize
#%%configure --enable-%{modname}
#%%make
#mv modules/*.so .

%{phpsource}/buildext %{modname} "%{modname}.c" \
        "-logg -lvorbis -lvorbisenc -lvorbisfile" \
	"-DWITH_OGGVORBIS -DCOMPILE_DL_OGGVORBIS" \
	"-I%{_includedir}/vorbis -I%{_includedir}/ogg"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php/%{inifile}
install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README.%{modname}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php/%{inifile}
%{phpdir}/extensions/%{soname}

%changelog
* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.2-1mdk
- initial cooker contrib
